#include<iostream>
#include<vector>
using namespace std;
vector<int>ans;
std::vector<int> solve(std::vector<int> A) {
ans.clear();
for(int i=0; i<A.size()/2-1; i++) {
      ans.push_back(i);
}
ans.push_back(A.size()-1);
for(int i=A.size()/2-1; i<A.size()-1; i++) {
      ans.push_back(i);
}
return ans;
}
